Subject: bug#11850: bug#11813: bug#11850: crash (null font) running emacs built from git

From: Left Right <[email-masked]>
Date: Wed, 19 Sep 2012 16:01:26 +0300

I'm terribly sorry for this late reply. I've since then changed the
operation system (once again!) to Fedora Core 17. I've built Emacs
using yum-builddep, and with (as far as I could judge) the same fonts,
it has built it correctly (the problem I was experiencing no longer
exists). I've since then built Emacs several times using yum-builddep
on different machines with different setups (both using dri and
software rendering, using AA fonts and bitmap fonts), and it worked
well, so I am inclined to believe I was missing some library that
somewhere down the configuration made the compiler or linker make
wrong choices as to what fonts should be used / are available.
Unfortunately, I can't tell what exactly my problem was, but so far
it's fixed now, I'm happy :)

On Sun, Aug 26, 2012 at 7:36 AM, Chong Yidong <[email-masked]> wrote:
> Left Right <[email-masked]> writes:
>
>> Using the configuration option you suggested, I was prompted for
>> missing library - tifflib. I've then installed tifflib5-dev from
>> Debian. The configuration was successful afterwards.
>> I attach the screenshot of how the version I compiled looks.
>
> So now it looks like the default font displays fine, but your system has
> problems displaying the bold font.  That is a slightly different symptom
> from what you had before.  Please show the output of C-u C-x = for the
> `bold' and `mode-line-buffer-id' faces.  You can do this by typing
> M-x describe-face- RET bold RET, moving the cursor to the text that says
> "sample", and typing C-u C-x =.  Similarly for `mode-line-buffer-id'.
> I'm only interested in the part that reports the font.  For sample, on
> my machine it says
>
>               display: by this font (glyph code)
>     xft:-unknown-Droid Sans Mono-normal-normal-normal-*-13-*-*-*-m-0-iso10646-1 (#x56)
>
> One possibility is that you have installed a buggy font which does not
> include bold glyphs.